Retrieve Playlist

Get playlist details and track listing.

Access to private playlists is only allowed when a userId of the playlist owner is provided, or the partner owns the playlist.

OAuth

 \ Example request

GET https://api.7digital.com/1.2/playlists/51ed5cfec9021614f462bb7b?country=GB&oauth_consumer_key=YOUR_KEY_HERE&oauth_token=...

Example response

{
  "playlist": {
    "id": "51ed5cfec9021614f462bb7b",
    "name": "My Chillout Mix",
    "status": "published",
    "visibility": "Private",
    "image": "http://artwork-cdn.7static.com/static/img/sleeveart/00/004/963/0000496338_$size$.jpg",
    "description": "Laid back listening",
    "tracks": [{
      "playlistItemId": "52cd88c2c902161660aeab80",
      "trackId": "5495893",
      "trackTitle": "No You Girls",
      "trackVersion": "Trentmoller Remix",
      "artistAppearsAs": "Franz Ferdinand",
      "releaseId": "496338",
      "releaseTitle": "No You Girls Remixes Part 2",
      "releaseArtistAppearsAs": "Franz Ferdinand",
      "releaseVersion": "Digital Download",
      "source": "7digital",
      "audioUrl": "http://stream.svc.7digital.net/stream/catalogue?trackId=5495893",
      "user": "id:4874383",
    }],
    "annotations": {
      "key": "value"
    },
    "lastUpdated": "2013-10-02T12:16:04.615Z"
Path Params
string
required

The identifier for the playlist you want to retrieve

Query Params
string
required

The ISO 2-character code of the country to which your oauth_consumer_key has access.

string

If you are using this endpoint for a user specific playlist, then provide the unique identifier of the user. For information on creating users click here.

Language
LoadingLoading…